<div class="wrapper-outer">
  <div class="container">
    <div class="row">
      <div class="col-sm-12">
        <div class="cont-login">
          <ul class="contact-list nav flex-column">
            <h4 *ngIf="!contactList.length">You do not yet have any contacts to chat with yet</h4>

            <li class="nav-item" *ngFor="let contact of contactList">
              <a href="javascript:void(0);" (click)="openChat(contact.candidateId , contact.chatroomId )"
                class="d-flex align-items-center justify-content-between p-2">
                <div class="user-details d-flex align-items-center justify-content-start">
                  <div class="user-image" *ngIf="contact && contact.candidateProfilePic; else defaultImage">
                    <img [src]="contact.candidateProfilePic" alt="" class="img-fluid img-thumbnail">
                  </div>
                  <ng-template #defaultImage>
                    <div class="user-image">
                      <img src="assets/images/default-profile-picture.png" alt="" class="img-fluid img-thumbnail">
                    </div>
                  </ng-template>
                  <p class="m-0 ml-2 fs14 fw600 t-verydarkgrey">{{contact.candidateName}}</p>
                </div>
                <div class="message-time" *ngIf="contact.lastMessageEntry > 0" >
                  <p class="m-0 t14 t-verydarkgrey" *ngIf="contact.employerUnreadCount === 0">{{contact.lastMessageEntry | date:'shortTime'}}</p>
                  <span class="badge badge-primary" *ngIf="contact.employerUnreadCount > 0" >{{contact.employerUnreadCount}}</span>
                </div>
              </a>
            </li>

            <!-- <li class="nav-item">
                      <a [routerLink]="['/employer/profile/messages']" class="d-flex align-items-center justify-content-between py-2">
                        <div class="user-details d-flex align-items-center justify-content-start">
                          <div class="user-image"><img src="assets/images/default-profile-picture.png" alt="" class="img-fluid img-thumbnail"></div>
                          <p class="m-0 ml-2 fs14 fw600 t-verydarkgrey">User Name</p>
                        </div>
                         <div class="message-time">
                          <p class="m-0 t14 t-verydarkgrey">12:04am</p>
                        </div> 
                      </a>
                    </li> -->

          </ul>
        </div>
      </div>
    </div>
  </div>
</div>